Skip to main content
PATCH
/
v1
/
discovery
/
connections
/
{connectionId}
Update discovery connection
curl --request PATCH \
  --url https://matcher.sandbox.lerian.net/v1/discovery/connections/{connectionId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "configName": "<string>",
  "databaseName": "<string>",
  "databaseType": "<string>",
  "host": "<string>",
  "password": "<string>",
  "port": 32768,
  "schema": "<string>",
  "userName": "<string>"
}
'
{
  "id": "<string>",
  "configName": "<string>",
  "databaseType": "<string>",
  "status": "<string>",
  "schemaDiscovered": true,
  "lastSeenAt": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token authentication (format: "Bearer {token}")

Path Parameters

connectionId
string<uuid>
required

Matcher connection ID

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

Body

application/json
configName
string

Connection configuration name

Minimum string length: 1
Example:

"prod-ledger-db"

databaseName
string

Database name

Minimum string length: 1
Example:

"ledger"

databaseType
string

Database engine type; canonical token or a common alias (e.g. postgres -> POSTGRESQL, mysql -> MYSQL)

Minimum string length: 1
Example:

"POSTGRESQL"

host
string

Database host

Minimum string length: 1
Example:

"db.internal.example.com"

password
string
port
integer<int64>

Database TCP port (1-65535)

Required range: 1 <= x <= 65535
Example:

5432

schema
string

Optional schema/namespace within the database

Example:

"public"

userName
string

Database user name the connection authenticates as

Minimum string length: 1
Example:

"matcher_ro"

Response

OK

A discovered Fetcher database connection

id
string

Internal identifier for the connection

configName
string

Name of the Fetcher configuration that produced this connection

databaseType
string

Type of database (e.g. postgres, mysql)

status
string

Current connection status

schemaDiscovered
boolean

Whether the table schema has been discovered for this connection

lastSeenAt
string

Timestamp when this connection was last observed in Fetcher